Subject: Re: [PATCH] pseries: phyp dump: Variable size reserve space.

From: Segher Boessenkool <[email-masked]>
Date: Wed, 9 Apr 2008 21:39:59 +0200

>>> +	tmp = tmp & ~0x000000001FFFFFFF;

Note that this only works as you expect because the constant is
signed here -- the extra zeroes do not magically make it a 64-bit
number.  So it goes 32-bit 0x1fffffff -> 32-bit -0x20000000 ->
64-bit -0x20000000.

Please consider writing it with an "L" suffix, or "UL" even, to
reduce trickiness and surprises if ever that number is changed.

Segher